Subject: bug#19976: Cannot install texlive

From: Mark H Weaver <[email-masked]>
Date: Sun, 01 Mar 2015 17:18:32 -0500

[email-masked] (Ludovic Courtès) writes:

> This is telling us that this is chunked encoding, and that the first
> chunk’s size is #x76634478 B = 1986217080 B = 1.9 GiB.  Ouch!
>
> You could buy more RAM.  ;-)

Or add more swap.  In this case, although the memory needs to be
allocated, but it is not under active use so swap would work well.

On the other hand, on a 32-bit system, depending on the policy for
expanding/copying the receive buffer, we might be hitting the 3GB(?)
virtual memory limit.

> We’ll fix <http://bugs.gnu.org/19939>, see whether we can backport it
> in Guix, and also see if we can ask nginx to provide reasonable
> chunks.

'sendfile_max_chunk' might be the right knob for this.

http://nginx.org/en/docs/http/ngx_http_core_module.html#sendfile_max_chunk

     Mark